# GET Position by ID

### `GET` Position by ID

```
https://cricket.sportmonks.com/api/v2.0/positions/{ID}
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 0       |

#### Parameters

| Available parameters |                                                                                                       |
| -------------------- | ----------------------------------------------------------------------------------------------------- |
| sort                 | One or comma separated list of fields to sort on. Can be used by adding `&sort=` to your request url. |

**Sort**

You can sort on all fields.

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://cricket.sportmonks.com/api/v2.0/positions/1?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
    "data": {
        "resource": "positions",
        "id": 1,
        "name": "Batsman"
    }
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/cricket-api/our-api/positions/get-position-by-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
